jQuery(function($) {
	var category = $('.l-faq-ajax__menu li').data('slug')
	var link = $('.c-btn-viem-all a').data('link')
	var all = $('.c-btn-viem-all a').data('all')

	var listPOstAjax = function(category) {
		rlp = $.ajax({
			url: wp.ajaxurl,
			type: 'GET',
			data: {
				action: 'listPosts',
				category: category
			},
			beforeSend: function() {
				$('.ajax-post').empty()
				$('.carregando').removeClass('d-none')
			}
		})
			.done(function(response) {
				$('.carregando').addClass('d-none')
				$('.ajax-post').html(response)
			})
			.fail(function() {})
	}

	listPOstAjax(category)

	//function click category
	$('.l-faq-ajax__menu li').on('click', function() {
		category = $(this).data('slug')
		listPOstAjax(category)
		$('.l-faq-ajax__menu li').removeClass('active')
		$(this).addClass('active')
		$('.c-btn-viem-all').attr('id', category)
		if (category === 'all') {
			$('.c-btn-viem-all a').attr('href', all)
		} else {
			$('.c-btn-viem-all a').attr('href', link + category)
		}
		//$(this).toggleClass('active');
	})
})
